/*
    This file is part of the zBoy project
    Copyright (C) Mateusz Viste 2010, 2011

    Provides GetSaveDir() - feeding a variable called
    SaveDir, that contains the directory in which zBoy
    has to store its various save files.
*/

void GetSaveDir(char *SaveDir) {
  #ifdef __zboy4linux__
    sprintf(SaveDir, "%s%s", getenv("HOME"), "/.zboy/");
  #endif
  #ifdef __zboy4windows__
    if (getenv("USERPROFILE") != NULL) {
        sprintf(SaveDir, "%s%s", getenv("USERPROFILE"), "\\zboy_sav\\");
      } else {
        SetUserMsg("ERROR: USERPROFILE VARIABLE NOT FOUND");
    }
  #endif
}
