/*
   LoadPalette()  -  Loads a color palette from an external file.

   This file is part of the zBoy project.
   Copyright (C) Mateusz Viste 2010, 2011
*/


signed int LoadPalette(char *palfile) {
  if (strcasecmp(palfile, "gbmicro") == 0) {
    ScreenPalette32[0] = 0xFFFFFF;
    ScreenPalette32[1] = 0xAAAAAA;
    ScreenPalette32[2] = 0x555555;
    ScreenPalette32[3] = 0x000000;
  } else if (strcasecmp(palfile, "peasoup") == 0) {
    ScreenPalette32[0] = 0xD5EA94;
    ScreenPalette32[1] = 0xACC641;
    ScreenPalette32[2] = 0x527D39;
    ScreenPalette32[3] = 0x204431;
  } else {
    return(1);
  }
  return(0);
  /*
  FILE *FileHandler
  char TempLine[1024];
  uint8_t Rvalue, Gvalue, Bvalue, x;
  FileHandler = open(palfile, "rb");
  if (FileHandler != NULL) {  // File opened okay
      LINE INPUT #FileHandler, TempLine
      if (strcmp(TempLine, "JASC-PAL") == 0) {
          LINE INPUT #FileHandler, TempLine  // Version
          if (TRIM(TempLine) = "0100") {  // check the version
              LINE INPUT #FileHandler, TempLine  // Number of colors
              if (VAL(TempLine) = 16) {   // check the number of colors in the palette
                  for (x = 0; x < 16; x++) {
                    LINE INPUT #FileHandler, TempLine // get the color definition
                    Rvalue = VAL(LEFT(TempLine, INSTR(TempLine, " ") - 1));
                    TempLine = MID(TempLine, INSTR(TempLine, " ") + 1);
                    Gvalue = VAL(LEFT(TempLine, INSTR(TempLine, " ") - 1));
                    TempLine = MID(TempLine, INSTR(TempLine, " ") + 1);
                    Bvalue = VAL(TempLine);
                    // * Load 32BPP palette *
                    ScreenPalette32[x] = (Rvalue << 16) | (Gvalue << 8) | Bvalue;
                  }
                  fclose(FileHandler);
                } else {   // Invalid number of colors
                  sprintf(TempLine, "ERROR: THE PALETTE FILE CONTAINS AN UNSUPPORTED NUMBER OF COLORS!\n\nZBOY SUPPORTS ONLY JASC PALETTES WITH 16 COLORS.\n\nPRESS ANY KEY TO QUIT...");
                  PrintMsg(TempLine);
                  fclose(FileHandler);
                  PressAnyKey();
                  exit(0);
              }
            } else {   // Unknown palette version
              sprintf(TempLine, "ERROR: THE SPECIFIED PALETTE FILE VERSION IS NOT SUPPORTED!\n\nZBOY SUPPORTS ONLY JASC PALETTES IN VERSION 0100.\n\nPRESS ANY KEY TO QUIT...");
              PrintMsg(TempLine);
              fclose(FileHandler);
              PressAnyKey();
              exit(0);
          }
        } else {
          sprintf(TempLine, "ERROR: THE SPECIFIED PALETTE FILE IS NOT A VALID JASC PALETTE!\n\nPRESS ANY KEY TO QUIT...");
          PrintMsg(TempLine);
          fclose(FileHandler);
          PressAnyKey();
          exit(0);
      }
    } else {
      sprintf(TempLine, "ERROR: THE SPECIFIED PALETTE FILE COULD NOT BE OPENED.\n\nPRESS ANY KEY TO QUIT...");
      PrintMsg(TempLine);
      PressAnyKey();
      exit(0);
  } */
}
