/*
   ** Portable routines **
   This file is part of the zBoy emulator project.
   Copyright (C) Mateusz Viste 2011
*/

#ifdef __zboy4linux__
  #include <sys/stat.h>
#endif

#ifdef __zboy4windows__
  #include <io.h>
#endif

void CreateDirectoryIfNotExists(char *dir) {
  #ifdef __zboy4linux__
    mkdir(dir, S_IRWXU);
  #endif
  #ifdef __zboy4windows__
    _mkdir(dir);
  #endif
}


